[tool.poetry]
name = "runrestic"
version = "0.5.25"
description = "A wrapper script for Restic backup software that inits, creates, prunes and checks backups"
license = "GPL-3.0+"
authors = [ "Andreas Nüßlein <andreas@nuessle.in>" ]
readme = 'README.md'
repository = "https://github.com/sinnwerkstatt/runrestic"
homepage = "https://github.com/sinnwerkstatt/runrestic"
keywords = ["backup"]
classifiers = [
  "Development Status :: 4 - Beta",
  "Environment :: Console",
  "Intended Audience :: System Administrators",
  "Programming Language :: Python",
  "Topic :: Security :: Cryptography",
  "Topic :: System :: Archiving :: Backup",
]

[tool.poetry.dependencies]
python = "^3.7"
toml = "^0.10"
jsonschema = "^3.0"
requests = "^2.27.1"

[tool.poetry.dev-dependencies]
ipdb = "*"
black = { version = "*", allow-prereleases = true }
mypy = "*"
pytest = "*"
pytest-cov = "*"
pytest-subprocess = "*"
types-pkg_resources = "*"
types-requests = "*"
types-toml = "*"

[tool.poetry.scripts]
runrestic = 'runrestic.runrestic.runrestic:runrestic'

[tool.black]
line-length = 88
target-version = ['py37', 'py38', 'py39', 'py310']
include = '\.pyi?$'
exclude = '''
/(
    \.eggs
  | \.git
)/
'''

[tool.isort]
multi_line_output = 3
include_trailing_comma = true
force_grid_wrap = 0
use_parentheses = false
line_length = 88
known_first_party = 'apps'
default_section = 'THIRDPARTY'
sections = 'FUTURE,STDLIB,THIRDPARTY,FIRSTPARTY,LOCALFOLDER'
no_lines_before = 'LOCALFOLDER'

